help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: What license to use for Emacs libraries?


From: Robert Thorpe
Subject: Re: What license to use for Emacs libraries?
Date: Wed, 19 Aug 2015 22:46:40 +0100

Tassilo Horn <address@hidden> writes:

...
> I think one reason why the linux kernel stuck to v2 is that v3 forbids
> TiVo-ization.

The Linux kernel uses the GPLv2.  The files mention GPLv2 and don't say
anything about optionally using later versions.

The Linux kernel developers received files from people that were GPLv2
licensed.  They don't collect copyright attribution paperwork.  Since
the GPLv3 isn't compatible with the GPLv2 that means they have to keep
everything in GPLv2.  Otherwise contributors could take legal action
against them for using their code with a different license.

That's my understanding anyway.

BR,
Robert Thorpe



reply via email to

[Prev in Thread] Current Thread [Next in Thread]